Bug 1015054 - Building a project twice at the same time may cause problems
Building a project twice at the same time may cause problems
Status: CLOSED CURRENTRELEASE
Product: JBoss BRMS Platform 6
Classification: JBoss
Component: Business Central (Show other bugs)
6.0.0
Unspecified Unspecified
medium Severity medium
: ER6
: 6.0.0
Assigned To: Toni Rikkola
Zuzana Krejčová
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-10-03 07:33 EDT by Zuzana Krejčová
Modified: 2016-07-31 21:08 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-08-06 16:19:51 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
server log from 'server started' msg to SIGSEGV (appended as well) (145.86 KB, text/x-log)
2013-10-03 07:33 EDT, Zuzana Krejčová
no flags Details

  None (edit)
Description Zuzana Krejčová 2013-10-03 07:33:51 EDT
Created attachment 807019 [details]
server log from 'server started' msg to SIGSEGV (appended as well)

Description of problem:
When you click Build & Deploy, the selected project starts building. You can than hit the button again. If you do so, you may get:

WARN  [com.arjuna.ats.jta] ... ARJUNA016029: SynchronizationImple.afterCompletion - failed for org.drools.persistence.jta.JtaTransactionSynchronizationAdapter@2811375c with exception: java.lang.IllegalStateException: Illegal method call. This session was previously disposed.

in the server log, the builds still succeed. You may also get:

ERROR [org.jbpm.console.ng.bd.backend.server.DeploymentManagerEntryPointImpl] ... Deployment of unit <groupID>:<artifact>:<version> failed: RuntimeManager with id org.jboss.qa.brms:console:1.0 is already registered: org.jbpm.console.ng.bd.exception.DeploymentException: RuntimeManager with id <groupID>:<artifact>:<version> is already registered

in the server log, one of the builds may fail then. If you're lucky (and probably only if you do this a few times), you can get even this:

#
# A fatal error has been detected by the Java Runtime Environment:
#
#  SIGSEGV (0xb) at pc=0x0000003a37b44c4f, pid=648, tid=140365116819200
...

which aborts your server. Getting to this point sometimes takes longer, sometimes less.


While the last is a Bad Thing, so far it seems you actually have to do this on purpose, many times. I could understand doing this once or twice - by mistake or when the building process takes too long and the user gets impatient.


Version-Release number of selected component (if applicable):
BPMS 6.0 ER3


Steps to Reproduce:
Repeatedly click Build & Deploy on the same project, without waiting for success/failure notification.
Comment 1 manstis 2013-10-04 06:39:07 EDT
Toni, simply disabling the "Build & Deploy" button might be enough for now - and enable it again when the "Build & Deploy" call returns.
Comment 2 Zuzana Krejčová 2014-01-07 12:17:20 EST
Verified with ER7 - it's not possible to click Build twice at the same time now.

Note You need to log in before you can comment on or make changes to this bug.